main:
  gosub DrawHouse  
  gosub DrawPositions   
  gosub CreateButtons
  gosub DrawBeacon
  CurPos = 2
  gosub MoveRobot
  //gosub Coordinates
end

Move23:

  CurPos = 3
return

Move24:
  CurPos = 4
return

Move32:

  CurPos = 2
return

Move34:

  CurPos = 4
return

Move42:

  CurPos = 2
return

Move43:

  CurPos = 3
return

MoveRobot:
  while TRUE
    call CheckButtons(Dest) 
    SubName = "Move"+CurPos+Dest
    gosub SubName
  wend
return

sub CheckButtons(&answer)
  // wait for some button to be pressed
  repeat
    LB = LastButton()
  until LB<>""
  // assign a value to answer based on button
  if LB = "Bedroom 1"  then answer = 1 
  if LB = "Bedroom 2"  then answer = 2
  if LB = "Kitchen"    then answer = 3
  if LB = "Living RM"  then answer = 4
  if LB = "Front Door" then answer = 5
return

Coordinates:
  while 1
    ReadMouse x,y,b
    xyString 30,30,x;y;" "
  wend
return  

DrawBeacon:
  LineWidth 3
  circle 255,325-11,255+22,325+11,Blue,Blue
  SetColor WHITE,BLUE
  xyString 262,325-9,"B"
  SetColor BLACK,WHITE
return

DrawPositions:
  call DrawPos(208,320,1)
  call DrawPos(208,185,2)
  call DrawPos(490,96,3)  
  call DrawPos(500,325,4)
  call DrawPos(345,380,5)
return

sub DrawPos(x,y,num)
  circle x-20,y-20,x+20,y+20,LightGreen,LightGreen
  SetColor LightGreen
  xyString x-4,y-7,num
return


CreateButtons:
  SetColor Black
  xyString 722,85,"Move To"
  AddButton "Bedroom 1",715,110,80
  AddButton "Bedroom 2",715,140,80
  AddButton "Kitchen",715,170,80
  AddButton "Living RM", 715,200,80
  AddButton "Front Door",715,230,80 
  //EnableButton "Bedroom 1", FALSE
  //EnableButton "Front Door",FALSE
return

DrawHouse:
  ScrSetMetrics ,,,,0  // full screen output
  LineWidth 10 

  rectangle 5,5,700,595
  
  xyString 60,80,"Bedroom 2"
  line 250,5,250,220
  lineto 240,220
  line 180,220,5,220
  line 245,135,195,135
  lineto 195,100
  line 195,40,195,5
  
  xyString 60,470,"Bedroom 1"
  line 250,595,250,290
  lineto 240,290
  line 180,290,165,290
  line 245,430,195,430
  lineto 195,465
  line 195,555,195,595
  
  //xyString 30,265,"Bathroom"
  line 165,280,165,340
  lineto 5,340
  line 165,220,165,230
  line 100,220,100,260
  
  line 250,450,320,450
  line 380,450,700,450
  xyString 420,510,"Front Porch"
  
  
  // doors
  LineWidth 2
  line 165,234,115,234
  line 237,220,237,170
  line 237,290,237,340
  line 320,450,380,450
  // counters
  line 470,5,470,50
  lineto 650,50
  lineto 650,150
  lineto 470,150
  lineto 470,200
  lineto 700,200
  
  // bath fixtures
  line 100,263,5,263
  circle 15,228,88,259
  line 5,310,90,310
  lineto 90,340
  circle 42,315,62,330
  circle 118,298,160,317
  rectangle 145,285,159,330
  
  // furniture
  LineWidth 10
  line 335,62,365,62
  line 335,139,365,139
  LineWidth 2
  circle 310,60,390,140
  xyString 325,85,"Dining"
  xyString 330,103,"Table"
  rectangle 480,205,630,255
  xystring 530,225,"Sofa"
  rectangle 640,210,685,250
  rectangle 260,410,315,440
  rectangle 480,410,630,440
  LineWidth 3
  line 500,435,610,435
  xyString 544,416,"TV"
return
